/* $Cambridge: hermes/src/prayer/cmd/cmd_abook_save.c,v 1.2 2008/05/19 15:55:54 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2008 */
/* See the file NOTICE for conditions of use and distribution. */

#include "prayer_session.h"

void cmd_abook_save(struct session *session)
{
    struct request *request = session->request;

    session_streams_save_options(session);
    if (session->abook_parent_cmd && session->abook_parent_cmd[0])
        session_redirect(session, request, session->abook_parent_cmd);
    else
        session_redirect(session, request, "list");
}
